#include "test.h"


test::test () {  
  AddInAnything ();	// add one inlet for any message
  //AddInFloat("0 for stop, anything else for play"); 
  AddOutSignal ("audio out Left");
  AddOutSignal ("audio out Right");
  AddOutAnything ("outputs file parameters");	// add one float outlet (has index 2)
  
  FLEXT_ADDMETHOD (0, m_start_f);

  FLEXT_ADDMETHOD_ (0, "start", m_start);
  FLEXT_ADDMETHOD_ (0, "play", m_start);
  FLEXT_ADDMETHOD_ (0, "open", m_open);
}


test::~test () {
}


void test::m_start_f (float f) {
  if (f == 0.0) {
    post("doing stop");
  } else {
    post("doing start");
  }
}

void test::m_start () {
  post("just testing start");

}


void test::m_open (t_symbol * s) {
  //cond.Signal();
  char ch[1024];
  sprintf (ch, GetString (s));
  post ("m_open %s", ch);
}




FLEXT_NEW_DSP ("test~", test)
 
void test::m_signal (int n, float *const *in, float *const *out) {
  float *outs1 = out[0];
  float *outs2 = out[1];
  
  for (int x = 0; x < (n * 2); x += 2)
    {
      *outs1++ = 0.0;
      *outs2++ = 0.0;
    }
}
